Subject: Re: bug#819: 23.0.60; group and owner "Everyone" - what's that about?

From: Eli Zaretskii <[email-masked]>
Date: Sat, 30 Aug 2008 11:10:52 +0300

> From: "Drew Adams" <[email-masked]>
> Cc: "'Eli Zaretskii'" <[email-masked]>
> Date: Fri, 29 Aug 2008 19:00:12 -0700
> 
> > > I probably misspoke a bit. The `Everyone'...`Everyone' 
> > owner and group appear
> > > only on `..', and only when `..' represents the top level: 
> > c:\. And for Dired in
> > > c:\ itself there is no `.' entry, so I can't say it 
> > contradicts what `..' showed
> > > one level down (`Everyone'...`Everyone').
> > >
> > > The bug, as I see it, is that `..' is different (showing
> > > `Everyone'...`Everyone') _only_ for a directory just under 
> > c:\ - for example,
> > > Dired in c:\foo\. Everywhere else, I see the same thing for 
> > `..' that I see for
> > > every other file or directory (my user name and `None', in my case).
> > 
> > So what seems to be happening is that the security descriptor for the 
> > disk itself is different than the security descriptor for the 
> > files and folders it contains, and Emacs is reporting that.
> 
> Just so I can understand a little better, could you elaborate? I thought that
> Eli was saying that with FAT32 it should say Everyone...Everyone everywhere.

Yes, that is what I was saying.  The fact that some files are not
reported as Everyone...Everyone might be some bug in Emacs, I will
look into this shortly.

What Jason suggests above is AFAIK impossible, since Windows security
APIs always report the same descriptor S-1-1-0 for every file on a
FAT32 volume.  S-1-1-0 is the security descriptor of "Everyone".

Do you have the subinacl.exe program?  (If not, you can download and
install the Windows Resource Kit.)  Try this command and see what it
reports about your directories:

    subinacl /output=log.txt /subdirectories c:\some\directory

(This could take a while on a large disk, so pick up a directory that
does not have too many subdirectories and files under it.)  The
results are in the file log.txt that is encoded in UTF-16, and should
be viewed by visiting it with Emacs.

Do you see anything but "everyone" in the reported owner and primary
group of your files?